# Class FontFaceMock

- Defined in src/test/fontFace.setup.ts:1

#####
Index

### Constructors

constructor

### Properties

descriptors
family
source

### Methods

load

## Constructors

### constructor

- new FontFaceMock(family, source, descriptors?): FontFaceMock

- #### Parameters

  - family: string
  - source: string
  - `Optional` descriptors: any

  #### Returns FontFaceMock

  - Defined in src/test/fontFace.setup.ts:6

## Properties

### descriptors

descriptors: any

- Defined in src/test/fontFace.setup.ts:4

### family

family: string

- Defined in src/test/fontFace.setup.ts:2

### source

source: string

- Defined in src/test/fontFace.setup.ts:3

## Methods

### load

- load(): Promise< FontFaceMock >

- #### Returns Promise< FontFaceMock >

  - Defined in src/test/fontFace.setup.ts:12